/*
** EPITECH PROJECT, 2023
** B-NWP-400-PAR-4-1-myftp-jean-cyprien.roux
** File description:
** server.c
*/

#include "myftp.h"
#include <signal.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int server_functionhandler_server_args_split(fd_node_t *tmp_node,
    char *line, server_t *server, command_map_server_args commands)
{
    if (strncmp(line, commands.code,
                strlen(commands.code)) == 0) {
        if (commands.handler(tmp_node, server) == 84)
            return (84);
        return 1;
    }
    return 0;
}

int server_functionhandler_server_args(fd_node_t *tmp_node,
    char *line, server_t *server)
{
    int res = 0;
    command_map_server_args commands[] = {
            {"PASV", set_pasv},
            {"REIN", reinit_client}
    };

    for (long unsigned int i = 0;
    i < sizeof(commands) / sizeof(command_map_server_args); i++) {
        res = server_functionhandler_server_args_split(tmp_node,
        line, server, commands[i]);
        if (res == 84 || res == 1)
            return (res);
    }
    return 0;
}
